=== script/packaging/debian/changelog ===
fheroes2 (1.0.11-1) UNRELEASED; urgency=medium

  * 1.0.11 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 23 Dec 2023 00:00:00 +000

fheroes2 (1.0.10-1) UNRELEASED; urgency=medium

  * 1.0.10 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 18 Nov 2023 00:00:00 +000

fheroes2 (1.0.9-1) UNRELEASED; urgency=medium

  * 1.0.9 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 11 Oct 2023 00:00:00 +000

fheroes2 (1.0.8-1) UNRELEASED; urgency=medium

  * 1.0.8 release

 -- fheroes2 team <fhomm2@gmail.com>  Mon, 11 Sep 2023 00:00:00 +0000

fheroes2 (1.0.7-1) UNRELEASED; urgency=medium

  * 1.0.7 release

 -- fheroes2 team <fhomm2@gmail.com>  Tue, 15 Aug 2023 00:00:00 +0000

fheroes2 (1.0.6-1) UNRELEASED; urgency=medium

  * 1.0.6 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 15 Jul 2023 00:00:00 +0000

fheroes2 (1.0.5-1) UNRELEASED; urgency=medium

  * 1.0.5 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 14 Jun 2023 00:00:00 +0000

fheroes2 (1.0.4-1) UNRELEASED; urgency=medium

  * 1.0.4 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 13 May 2023 00:00:00 +0000

fheroes2 (1.0.3-1) UNRELEASED; urgency=medium

  * 1.0.3 release

 -- fheroes2 team <fhomm2@gmail.com>  Tue, 11 Apr 2023 00:00:00 +0000

fheroes2 (1.0.2-1) UNRELEASED; urgency=medium

  * 1.0.2 release

 -- fheroes2 team <fhomm2@gmail.com>  Sun, 12 Mar 2023 00:00:00 +0000

fheroes2 (1.0.1-1) UNRELEASED; urgency=medium

  * 1.0.1 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 08 Feb 2023 00:00:00 +0000

fheroes2 (1.0.0-1) UNRELEASED; urgency=medium

  * 1.0.0 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 21 Dec 2022 00:00:00 +0000

fheroes2 (0.9.21-1) UNRELEASED; urgency=medium

  * 0.9.21 release

 -- fheroes2 team <fhomm2@gmail.com>  Sat, 12 Nov 2022 00:00:00 +0000

fheroes2 (0.9.20-1) UNRELEASED; urgency=medium

  * 0.9.20 release

 -- fheroes2 team <fhomm2@gmail.com>  Mon, 10 Oct 2022 00:00:00 +0000

fheroes2 (0.9.19-1) UNRELEASED; urgency=medium

  * 0.9.19 release

 -- fheroes2 team <fhomm2@gmail.com>  Sun, 11 Sep 2022 00:00:00 +0000

fheroes2 (0.9.18-1) UNRELEASED; urgency=medium

  * 0.9.18 release

 -- fheroes2 team <fhomm2@gmail.com>  Wed, 10 Aug 2022 00:00:00 +0000

fheroes2 (0.9.17-1) UNRELEASED; urgency=medium

  * 0.9.17 release

 -- fheroes2 team <fhomm2@gmail.com>  Mon, 11 Jul 2022 00:00:00 +0000
